# GLView Class Reference

Customized Cocoa OpenGL view. More...

`#import <GLKit.h>`

List of all members.

## Public Member Functions

(id) | - initWithFrame:mode:settings:delegate:
| Make a new view according the the rect , the video mode , the window settings and the sf window delegate must not be null.
(void) | - finishInitialization
| Finish view setting (after having added it to the window).
(void) | - enableVerticalSync:
| Forward call to en/disable vertical synchronization.
(void) | - setActive:
| Forward call to set the OpenGL context as active according to .
(void) | - flushBuffer
| Forward call to flush the OpenGL context.

## Protected Attributes

sf::priv::WindowImplCocoa * | myDelegate
GLContext * | myGLContext

## Detailed Description

Customized Cocoa OpenGL view.

Definition at line 58 of file GLKit.h.

## Member Function Documentation

- (void) enableVerticalSync: |  | (bool) | flag |  |

Forward call to en/disable vertical synchronization.

Definition at line 226 of file GLKit.mm.

- (void) finishInitialization |  |  |  |

Finish view setting (after having added it to the window).

Definition at line 208 of file GLKit.mm.

- (void) flushBuffer |  |  |  |

Forward call to flush the OpenGL context.

Definition at line 251 of file GLKit.mm.

- (id) initWithFrame: |  | (NSRect) | frame
mode: |  | (const sf::VideoMode&) | mode
settings: |  | (sf::WindowSettings&) | settings
delegate: |  | (sf::priv::WindowImplCocoa *) | delegate |

Make a new view according the the rect , the video mode , the window settings and the sf window delegate must not be null.

Definition at line 159 of file GLKit.mm.

- (void) setActive: |  | (bool) | flag |  |

Forward call to set the OpenGL context as active according to .

Definition at line 236 of file GLKit.mm.

The documentation for this class was generated from the following files:

- GLKit.h
- GLKit.mm